#!/bin/bash

#
# Very simple moc wrapper, for using with cmake
#

if [ -f @BIN_INSTALL_DIR@/tqt-replace-stream ]; then
	if [ -z "$1" ]; then
		echo "Usage: tmoc <input_file> -o <out_file>"
	else
		input_file="$1"
		out_file="$3"
		@BIN_INSTALL_DIR@/tqt-replace-stream "${input_file}" | \
	        @MOC_EXECUTABLE@ | \
	        sed "/#include <qmetaobject.h>/ i #undef QT_NO_COMPAT\n#include \"${input_file}\"" \
		> "${out_file}"
	fi
else
	echo "ERROR: @BIN_INSTALL_DIR@/tqt-replace-stream is not available.  tmoc will fail!"
	exit 1;
fi
